libzypp 17.37.10

zyppng::detail::collect_transitions_helper< State, TupleSoFar, Head > Struct Template Reference

`#include <zypp-core/zyppng/base/statemachine.h>`

## Public Types
using | Type = typename add_type_to_collection< std::tuple, Head, TupleSoFar, std::is_same_v< State, typename Head::SourceType> >::Type
using | NewTuple

## Detailed Description

template<class State, class TupleSoFar, class Head>
struct zyppng::detail::collect_transitions_helper< State, TupleSoFar, Head >

Definition at line 129 of file statemachine.h.

## Member Typedef Documentation

## ◆ Type

template<class State, class TupleSoFar, class Head>

using zyppng::detail::collect_transitions_helper< State, TupleSoFar, Head >::Type = typename add_type_to_collection< std::tuple, Head, TupleSoFar, std::is_same_v< State, typename Head::SourceType> >::Type

Definition at line 130 of file statemachine.h.

## ◆ NewTuple

using zyppng::detail::collect_transitions_helper< State, TupleSoFar, Head, Transitions >::NewTuple

Definition at line 124 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/statemachine.h